// For authoring Nightwatch tests, see
// http://nightwatchjs.org/guide#usage

//testcase name：收费管理-收费
//author：feizhao
//date：2017-10-24
//discription：用于测试登陆后，收费管理-收费操作的页面测试
//step：1.登录主页面  2.定位收费业务

//Account setting.
const accountConfig = {
  username: '1',
  password: '1',
}
 module.exports = {
   'login tests': function (browser) {
     browser
     .url('http://127.0.0.1:8080').maximizeWindow()
     .pause(1000)
     .waitForElementVisible('body', 100)
     .setValue('input[type=text]',accountConfig.username)
     .pause(100)
     .setValue('input[type=password]',accountConfig.password)
     .pause(100)
     .click('button[id=login-button]')
     .pause(1000)

    //  点击收费管理-收费
     .click('#vc-tree-name-收费管理')
     .pause(1000)
     .click('#vc-tree-name-收费')
     .pause(3000)
     .end();
   }
 }
